Fractal Softworks Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

Starsector 0.95a is out! (03/26/21); Blog post: Skill Changes, Part 2 (07/15/21)

Pages: 1 ... 42 43 [44]

Author Topic: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh  (Read 255209 times)

Vulcan

  • Ensign
  • *
  • Posts: 35
    • View Profile
    • Email
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #645 on: November 27, 2012, 06:16:40 PM »

im trying minimash along with fleet control... im guessing thats the problem   :'(

edit: fixed the other crash but now i have a new one...
Spoiler
48201 [Thread-6] WARN  com.fs.starfarer.loading.SpecStore  - Description with id flarelauncher_fighter_SHIP_SYSTEM not found
48201 [Thread-6] WARN  com.fs.starfarer.loading.SpecStore  - Description with id inferniuminjector_SHIP_SYSTEM not found
48201 [Thread-6] WARN  com.fs.starfarer.loading.SpecStore  - Description with id skimmer_drone_SHIP_SYSTEM not found
48222 [Thread-6] DEBUG com.fs.graphics.TextureLoader  - Loading [graphics/particlealpha32sq.png] as texture with id [fs.common/graphics/particlealpha32sq.png]
48228 [Thread-6] DEBUG com.fs.graphics.TextureLoader  - Loaded 239.23 MB of texture data so far
48447 [Thread-6] DEBUG com.fs.graphics.TextureLoader  - Loading [graphics/backgrounds/background4.jpg] as texture with id [graphics/backgrounds/background4.jpg]
76229 [Thread-6] INFO  com.fs.starfarer.campaign.save.CampaignGameManager  - Loading ..\\saves/save_Rock_5819178804531182513...
82052 [Thread-6] DEBUG com.fs.graphics.TextureLoader  - Loading [graphics/backgrounds/background4.jpg] as texture with id [graphics/backgrounds/background4.jpg]
82069 [Thread-6] INFO  com.fs.starfarer.campaign.save.CampaignGameManager  - Finished loading
92957 [Thread-6] ERROR com.fs.starfarer.combat.String  - java.lang.NullPointerException
java.lang.NullPointerException
   at data.scripts.world.corvus.GRDefenseSpawnPoint.spawnFleet(GRDefenseSpawnPoint.java:32)
   at data.scripts.world.BaseSpawnPoint.advance(BaseSpawnPoint.java:52)
   at com.fs.starfarer.campaign.BaseLocation.advance(Unknown Source)
   at com.fs.starfarer.campaign.CampaignEngine.advance(Unknown Source)
   at com.fs.starfarer.campaign.A.o00000(Unknown Source)
   at com.fs.starfarer.super.ÕØÒ000(Unknown Source)
   at com.fs.super.A.new(Unknown Source)
   at com.fs.starfarer.combat.String.o00000(Unknown Source)
   at com.fs.starfarer.StarfarerLauncher$2.run(Unknown Source)
   at java.lang.Thread.run(Thread.java:619)
[close]
« Last Edit: November 27, 2012, 06:20:02 PM by Vulcan »
Logged

Aklyon

  • Commander
  • ***
  • Posts: 193
    • View Profile
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #646 on: November 27, 2012, 06:47:43 PM »

I'm running fleet control + minimash just fine. Except for simulations, but you don't necessarily have to use that so I haven't.

Vulcan

  • Ensign
  • *
  • Posts: 35
    • View Profile
    • Email
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #647 on: November 27, 2012, 06:54:37 PM »

I had a problem with both the torment and "spearhead_standard".

Just throwing a file up that has both torment and spear removed.
just put it into mods folder, don't need to delete anything, just overwrite.



Heres the mod with the torment_support line removed. I shifted the cells below it up in the file if something acts up.

_________________________________________
so its...
for just torment(as stated above)
http://www.mediafire.com/?krc1ymurru3jpdd
====================================
for torment and spearhead
http://www.mediafire.com/?u59jeerango4e4o




The simulation fix is pretty much those^

I have no idea why mine is crashing, i keep getting the bug stated above.
Logged

xenoargh

  • Admiral
  • *****
  • Posts: 4923
  • naively breaking things!
    • View Profile
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #648 on: November 27, 2012, 07:36:12 PM »

Disable all mods except for Minimash and install a fresh build from the main link before saying it's bugged; it appears to be OK over here after about 30 minutes of play. 
Logged
Please check out my SS projects :)
Xeno's Mod Pack

Aklyon

  • Commander
  • ***
  • Posts: 193
    • View Profile
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #649 on: November 27, 2012, 08:23:27 PM »

As in, delete your minimash folder before putting a new one in there. Your saves are in a different location, you aren't going to lose them.

xenoargh

  • Admiral
  • *****
  • Posts: 4923
  • naively breaking things!
    • View Profile
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #650 on: November 28, 2012, 06:33:26 AM »

I've fixed the bug:

Code
347761 [Thread-6] ERROR com.fs.starfarer.combat.String  - java.lang.NullPointerException
java.lang.NullPointerException
   at data.scripts.world.corvus.GRDefenseSpawnPoint.spawnFleet(GRDefenseSpawnPoint.java:32)
   at data.scripts.world.BaseSpawnPoint.advance(BaseSpawnPoint.java:52)
   at com.fs.starfarer.campaign.BaseLocation.advance(Unknown Source)
   at com.fs.starfarer.campaign.CampaignEngine.advance(Unknown Source)
   at com.fs.starfarer.campaign.A.o00000(Unknown Source)
   at com.fs.starfarer.super.ÕØÒ000(Unknown Source)
   at com.fs.super.A.new(Unknown Source)
   at com.fs.starfarer.combat.String.o00000(Unknown Source)
   at com.fs.starfarer.StarfarerLauncher$2.run(Unknown Source)
   at java.lang.Thread.run(Thread.java:619)

And have replaced that deprecated method "system.getEntityByName("Fleet");" throughout the mod code.  The main download's updated again.  Hopefully that's the last of the Java bugs in this thing :)
Logged
Please check out my SS projects :)
Xeno's Mod Pack

JT

  • Commander
  • ***
  • Posts: 127
    • View Profile
    • Email
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #651 on: November 28, 2012, 09:20:51 AM »

Lawl. I got that crash at 6:30 AM, was about to pop on here to report it, decided to have a nap instead, and was going to come on now to report it fresh.

Good news, anyway!
Logged

Vulcan

  • Ensign
  • *
  • Posts: 35
    • View Profile
    • Email
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #652 on: November 28, 2012, 04:23:29 PM »

I've fixed the bug:

Code
347761 [Thread-6] ERROR com.fs.starfarer.combat.String  - java.lang.NullPointerException
java.lang.NullPointerException
   at data.scripts.world.corvus.GRDefenseSpawnPoint.spawnFleet(GRDefenseSpawnPoint.java:32)
   at data.scripts.world.BaseSpawnPoint.advance(BaseSpawnPoint.java:52)
   at com.fs.starfarer.campaign.BaseLocation.advance(Unknown Source)
   at com.fs.starfarer.campaign.CampaignEngine.advance(Unknown Source)
   at com.fs.starfarer.campaign.A.o00000(Unknown Source)
   at com.fs.starfarer.super.ÕØÒ000(Unknown Source)
   at com.fs.super.A.new(Unknown Source)
   at com.fs.starfarer.combat.String.o00000(Unknown Source)
   at com.fs.starfarer.StarfarerLauncher$2.run(Unknown Source)
   at java.lang.Thread.run(Thread.java:619)

And have replaced that deprecated method "system.getEntityByName("Fleet");" throughout the mod code.  The main download's updated again.  Hopefully that's the last of the Java bugs in this thing :)

Fixed everything :) Thank you xenoargh!
Logged

Lasse_Kaa

  • Ensign
  • *
  • Posts: 1
    • View Profile
    • Email
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #653 on: December 10, 2012, 09:28:28 AM »

You should probably put in the install guide, that you have to create a folder in the mods directory, which you copy the files into. Otherwise you won't be able to start the mod from the launcher.
Logged

DaBa

  • Ensign
  • *
  • Posts: 2
    • View Profile
    • Email
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #654 on: December 14, 2012, 02:59:06 AM »

Does Omega minimash not work with Uomoz's Corvus 16.5? Since 0.54 patch it keeps crashing for me while entering the title screen (after I downloaded both mod's updated versions). Is this normal, or am I doing something wrong?
Logged

theSONY

  • Admiral
  • *****
  • Posts: 673
  • Not a single Flux given
    • View Profile
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #655 on: December 14, 2012, 03:57:24 AM »

Does Omega minimash not work with Uomoz's Corvus 16.5? Since 0.54 patch it keeps crashing for me while entering the title screen (after I downloaded both mod's updated versions). Is this normal, or am I doing something wrong?

If it crashes than you doing everything good :) (that's the "good" part)
The "Bad" part is that Uomoz's & Omega's aint working together

PS:                                                                                                                       ::)
Logged
-the ABOMINATION - in progress

ShadowLurker

  • Ensign
  • *
  • Posts: 16
    • View Profile
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #656 on: December 15, 2012, 05:09:19 AM »

Does Omega minimash not work with Uomoz's Corvus 16.5? Since 0.54 patch it keeps crashing for me while entering the title screen (after I downloaded both mod's updated versions). Is this normal, or am I doing something wrong?
It doesn't work because the Neutrino Corp exists in both mods. Delete the Gen for Neutrino Corp in either one of them and it works fine.
If it doesn't it's because you still haven't deleted every script involved in the Neutrino Corp gen yet since mine works perfectly fine.
Logged

Lord Vetch

  • Ensign
  • *
  • Posts: 5
    • View Profile
    • Email
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #657 on: October 07, 2013, 04:47:47 PM »

Hey, I'm having a problem when I try to start up the game. I've done 2 clean installs and i'm having the same problem over and over. I have a few mods added, but they all work fine with one another, but minimash is crashing. Even when I try to start with only minimash it crashes.
I have these modes downloaded:
Fleet Control
Lazylib
Minimash
Respec
Restock
Tradewinds

This is the error message:
7547 [Thread-6] ERROR com.fs.starfarer.combat.String  - org.json.JSONException: Unterminated string at 3932 [character 0 line 146]
org.json.JSONException: Unterminated string at 3932 [character 0 line 146]
   at org.json.JSONTokener.syntaxError(JSONTokener.java:423)
   at org.json.JSONTokener.nextString(JSONTokener.java:249)
   at org.json.JSONTokener.nextValue(JSONTokener.java:349)
   at org.json.JSONObject.<init>(JSONObject.java:210)
   at org.json.JSONTokener.nextValue(JSONTokener.java:352)
   at org.json.JSONObject.<init>(JSONObject.java:210)
   at org.json.JSONObject.<init>(JSONObject.java:311)
   at com.fs.starfarer.loading.LoadingUtils.void(Unknown Source)
   at com.fs.starfarer.loading.LoadingUtils.super(Unknown Source)
   at com.fs.starfarer.loading.LoadingUtils.super(Unknown Source)
   at com.fs.starfarer.loading.LoadingUtils.Ò00000(Unknown Source)
   at com.fs.starfarer.loading.SpecStore.Ó00000(Unknown Source)
   at com.fs.starfarer.loading.SpecStore.Ò00000(Unknown Source)
   at com.fs.starfarer.loading.null.super(Unknown Source)
   at com.fs.super.oOOO.Ò00000(Unknown Source)
   at com.fs.starfarer.combat.String.o00000(Unknown Source)
   at com.fs.starfarer.StarfarerLauncher$2.run(Unknown Source)
   at java.lang.Thread.run(Thread.java:619)
Logged

Uomoz

  • Admiral
  • *****
  • Posts: 2663
  • 'womo'dz
    • View Profile
    • Email
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #658 on: October 07, 2013, 04:51:37 PM »

Well I think it's not compatibile with Stasector 0.61a :)
Logged

Lord Vetch

  • Ensign
  • *
  • Posts: 5
    • View Profile
    • Email
Re: Omega's Minimash V1.92 .54 compatible Thanks to xenoargh
« Reply #659 on: October 07, 2013, 05:30:32 PM »

Yeah I kinda realized that after posting, thanks though. Onto another mod!
Logged
Pages: 1 ... 42 43 [44]